%******* v*********
% @Ǐ]ԒɑO̎ԗi玩Ǐ]sɂȂȂƂȂ
% AhCo[u[Lp_𓥂񂾂猸ȂƂȂ
%*********************
function chk_EV
%% ------------ Innitail Section ------------------------------------- 
clear;
InitBreach;                            %
mdl = 'dummy_mdl';                     %
BreModel = BreachSimulinkSystem(mdl);  % input model to breah tool

%-------------- Input Genertion Section -----------------------------
% signal property setting
input_gen.type = 'UniStep';    % uniform time steps 
input_gen.type = 'VarStep';    % uniform time steps 


% Interpolation method, specified as a value from the table below.
% 'linear', 'nearest', 'next', 'previous', 'pchip', 'cubic', 'v5cubic', 'spline'
input_gen.method = {'spline'};  % interpolation methods - see help of interp1.
input_gen.cp = 7;  

%---------------------------------------------------------------------------------------%
% signal value setting
% NG case: pattern have bug in first (0,0)
%P = [0 1 1 0 0 1 1];
%Q = [0 1 0 1 0 0 1];

% OK case
P = [0 1 1 0 0 1 1];
Q = [1 1 0 1 0 0 1];
%---------------------------------------------------------------------------------------%


% signal format convertion
% Need to set variable same as inport name in model
P_list = genInputVariable(P,'inport1');
Q_list = genInputVariable(Q,'inport2');
BreModel.SetInputGen(input_gen); 


% load signal data to model
BreModel.SetParam(P_list,P);
BreModel.SetParam(Q_list,Q);


%% SIM
BreModel.Sim(0:1:input_gen.cp-1)
% Need to set variable same as outport name in model
BreModel.PlotSignals({'inport1','inport2','outport1','outport2'});

% Test STL
% Support operator: not | => | ev | alw | eventually | always | or | and | until | > | >= | < | <= | ==
% Case1 while_P_Q
test1 =  STL_Formula('test_formula','(outport1[t]==1) => (outport2[t]==1)');

BreModel.CheckSpec(test1);
BreModel.PlotRobustSat(test1);



end